List messages in a conversation
curl --request GET \
--url https://chat.domix.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages \
--header 'api_access_token: <api-key>' \
--header 'api_account_id: <api-key>'import requests
url = "https://chat.domix.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages"
headers = {
"api_access_token": "<api-key>",
"api_account_id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {api_access_token: '<api-key>', api_account_id: '<api-key>'}
};
fetch('https://chat.domix.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 56,
"content": "Hello!",
"message_type": "outgoing",
"created_at": 1693500000,
"private": false,
"status": "sent",
"sender": {
"id": 123,
"name": "<string>",
"type": "user"
},
"attachments": [
{}
]
}
]Unified Messaging API
List messages in a conversation
Retrieve all messages and private notes sent within a specific conversation.
GET
https://chat.domix.ai
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
messages
List messages in a conversation
Authorizations
ApiAccessToken & ApiAccountIdApiAccessTokenHyphen & ApiAccountIdHyphen
API Access Token (underscore format)
Account ID (underscore format for unified message endpoints)
Path Parameters
ID of the account in Domix AI
Example:
"16"
Example:
102
Response
200 - application/json
Successfully retrieved conversation messages